Skip to main content
GET
/
training
/
{id}
Get a custom training
curl --request GET \
  --url https://api.open.cx/training/{id}
{
  "id": "<string>",
  "organization_id": "<string>",
  "question": "<string>",
  "answer": "<string>",
  "is_draft": true,
  "accepted_by": 123,
  "learned_from_session_id": "<string>",
  "type": "BEHAVIORAL",
  "restricted_to_segments": [
    "<string>"
  ],
  "restricted_to_channels": [
    "web"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "directory_id": "<string>",
  "draft_payload": "<unknown>"
}

Path Parameters

id
string
required

The unique identifier of the custom training

Response

Default Response

id
string
required

The ID of the custom training

organization_id
string
required
question
string
required
answer
string
required

The answer of the custom training

is_draft
boolean
required

The draft status of the custom training

accepted_by
number | null
required
learned_from_session_id
string | null
required
type
enum<string>
required

The type of custom training

Available options:
BEHAVIORAL,
SCENARIO_SPECIFIC
restricted_to_segments
string[]
required

(is array is empty, instruction works for all segments, if array contains segments, instruction is limited to those segments

restricted_to_channels
enum<string>[]
required

(is array is empty, instruction works for all channels, if array contains channels, instruction is limited to those channels

Available options:
web,
email,
phone_voice,
slack,
sms,
whatsapp,
instagram,
messenger,
api,
web_voice
created_at
string<date-time>
required
updated_at
string<date-time>
required
directory_id
string | null
required

The directory ID of the custom training

draft_payload
any